

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
            <div class="col-sm-6">
               
            </div><!-- /.col -->
            
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
        </div>
        <!-- /.content-header -->
  
        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
            <!-- Small boxes (Stat box) -->
            
            <!-- /.row -->
            <!-- Main row -->
            
            <!-- /.row (main row) -->
            </div><!-- /.container-fluid -->
            <div class="container-fluid">
    
    
    
    
    
    
        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
            
            <div class="row">
                <div class="col-12">
                
                        <!-- general form elements -->
                        <div class="card ">
                        <div class="card-header">
                            <h3 class="card-title">Langue</h3>
                            <div class="card-tools">
                              <ul class="nav nav-pills ml-auto">
                                <li class="nav-item">
                                  <a class="nav-link active" href="/admin-panel/addlanguage" >Ajouter une nouvelle langue</a>
                                </li>
                             
                              </ul>
                            </div>
                        </div>
                        
                        <!-- /.card-header -->
                        <!-- form start -->
                        <div class="card-body">
                         
                          <table id="example1" class="table table-bordered table-hover">
                            <thead>
                            <tr>
                             <th>Champ</th>
                             
                             <th>Actions</th>
                            </tr>
                            </thead>
                            <tbody id="miscdata">
                            <% language?.forEach(function(misc) { %>
                                <tr>
                                <td><%= misc.name %></td>
                                
                                <td><button onclick='handleview("<%= misc._id %>")' class='btn btn-primary' style='width:60px;font-size: smaller;padding: 0%;'>Modifier</button><button onclick='handledelete("<%= misc._id %>")'  class='btn btn-danger' style='width:70px;padding: 0%;font-size: smaller'>Supprimer</button></td>
                                </tr>
                            <% }); %>
                            </tbody>
                          
                          
                          
                           
                          
                          </table>
                        </div>
                        </div>
                      
                <!-- /.card -->
    
            
                <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </section>
        <!-- /.content -->
        
    
    
        <script>
         
           function handledelete(id){
               var r = confirm("Êtes-vous sûr de vouloir supprimer cette langue?");
               const requestOptions = {
                     method: 'get',
         
                 };
                 let url='/admin-panel/deletelanguage/'+id;
               if (r == true) {
                 fetch(url,requestOptions).then(function(response){
                   toastr.success("Langue supprimée avec succès");
                   window.location.reload();
                 });
               } else {
                 window.location.href = "/admin-panel/language";
               }
             }
             
             function handleview(id){
              
            
               const requestOptions = {
                     method: 'get',
         
                 };
               let url='/admin-panel/editlanguage/'+id;
               
               window.location.href = url;
             }
            //  function handlechange(){
               
            //  const misctype = document.getElementById("misctype").value;
             
                 
            //          var baseurl= "<%= base_url %>";
            //          var url= baseurl+"getexpertise";
                    
            //          const requestOptions = {
            //          method: 'get'
            //      };
            //      fetch(url, requestOptions)
            //      .then(response => response.json())
            //      .then(data => {
            //          if(data.status){
            //            $("#miscdata").html('');
                     
            //            data.data?.map(element => {
                       
            //              $("#miscdata").append("<tr><td>"+element.name+"</td><td><button onclick='handleview("+`${element._id}`+")' class='btn btn-primary' style='width:60px;font-size: smaller;padding: 0%;'>View</button><button onclick='handledelete("+element._id+")'  class='btn btn-danger' style='width:70px;padding: 0%;font-size: smaller'>Delete</button></td></tr>");
            //              console.log("<tr><td>"+element.name+"</td><td><button onclick='handleview("+`${element._id}`+")' class='btn btn-primary' style='width:60px;font-size: smaller;padding: 0%;'>View</button><button onclick='handledelete("+element._id+")'  class='btn btn-danger' style='width:70px;padding: 0%;font-size: smaller'>Delete</button></td></tr>")
            //            });
            //          }else{
            //              toastr.error(data.message);
            //          }
            //      })
            //  }
         </script>
    
    
            </div>
        
        </section>
    
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
 
    </div>
    <!-- ./wrapper -->
  
   